#!/bin/bash

set -e

IOSEVKA_VERSION=18.0.0
FONT_NAME=iosevka-prog
FILE=$( readlink -f "${BASH_SOURCE[0]}" )
DIR=$( dirname "${FILE}" )
DIST="${DIR}/dist"
OBLIQUE="${DIST}/oblique"
REGULAR="${DIST}/regular"
CONFIG="${DIR}/private-build-plans.toml"
OUT_DIR="${DIST}/${FONT_NAME}/ttf"

if [ -r "${CONFIG}" ]; then
	if command -v docker >/dev/null 2>&1; then
		docker run -e FONT_VERSION="${IOSEVKA_VERSION}" -it -v "$DIR":/build avivace/iosevka-build -- ttf::${FONT_NAME}
		sudo chown -R "$(id -u)":"$(id -g)" "${DIST}"
		mkdir -p "${OBLIQUE}"
		cp -af "${OUT_DIR}/${FONT_NAME}-oblique.ttf" "${OBLIQUE}"
		docker run -v "${OBLIQUE}":/in -v "${OUT_DIR}":/out nerdfonts/patcher --complete --careful --adjust-line-height && true
		mkdir -p "${REGULAR}"
		cp -af "${OUT_DIR}/${FONT_NAME}-regular.ttf" "${REGULAR}"
		docker run -v "${REGULAR}":/in -v "${OUT_DIR}":/out nerdfonts/patcher --complete --careful --adjust-line-height --mono --removeligatures && true
	else
		echo "Docker executable not found"
	fi
else
	echo "Can't read config file ${CONFIG}"
fi

